#version 150

uniform vec3 E0;
uniform vec3 E2;
uniform vec3 RGB;

out vec4 color;

void main() {
	vec3 p = vec3 (gl_FragCoord.x, gl_FragCoord.y, 1);
	float f0 = dot (E0, p);
	float f2 = dot (E2, p);
	if (f0 < 0.0 || f2 < 0.0) {
		discard;
	}
	float idx = min (f0, f2);
/*
	float idx;
	if (f0 < f2) {
		idx = f0;
		if (idx < 0.2857142857142857) {		// 2 / 7
			alpha = idx * 3.5;
		} else {
			alpha = 1;
		}
		idx = idx * 0.6 + 0.4;
		color = vec4 (idx, idx, idx, alpha);			// White
	} else {
		idx = f2;
		if (idx < 0.2857142857142857) {		// 2 / 7
			alpha = idx * 3.5;
		} else {
			alpha = 1;
		}
		idx = idx * 0.6 + 0.4;
		color = vec4 (RGB.r * idx, RGB.g * idx, RGB.b * idx, alpha);
	}
*/
	float alpha;
	if (idx < 0.2857142857142857) {		// 2 / 7
		alpha = idx * 3.5;
	} else {
		alpha = 1;
	}
	idx = idx * 0.6 + 0.4;
/*
	if ((f0 < f2 && E0.y < 0) || (f2 < f0 && E2.y < 0)) {
		color = vec4 (idx, idx, idx, alpha);			// White
	} else {
		color = vec4 (RGB.r * idx, RGB.g * idx, RGB.b * idx, alpha);
	}
*/

	//color = vec4 (idx, idx, idx, alpha);			// White
	//color = vec4 (idx, 0.2 * idx, 0, alpha);		// Red
	//color = vec4 (idx, 0.9 * idx, 0, alpha);		// Yellow
	color = vec4 (RGB.r * idx, RGB.g * idx, RGB.b * idx, alpha);
	//color = vec4 (0.84, 0.8, 0.8, 1);

	//color = vec4 (abs (f0), abs (f2), 0, 1);
	//color = vec4 (E0.x, E0.y, 0, 1);
}
